# No Man's Sky 5.2.2
# BID: 9AA64F897E1D50BA

unsafeCheck: true

MASTER_WRITE:
# Redirect DR frametime target to MAIN+0x4962F00
  -
    type: bytes
    main_offset: 0x1F9B6B8
    value_type: uint32
    value: 0xD503201F
  -
    type: bytes
    main_offset: 0x1F9B6C4
    value_type: uint32
    value: 
      - 0xF0014E32
      - 0xB9400408
      - 0xBD4F0240
  # default value
  -
    type: bytes
    main_offset: 0x4962F00
    value_type: float
    value: 33.3333333333
ALL_FPS:
  -
    type: evaluate_write
    address: [MAIN, 0x4962F00]
    value_type: float
    value: FRAMETIME_TARGET